Subject: Re: [PATCH 0/6] 'git svn info' fixes

From: Eric Wong <[email-masked]>
Date: Wed, 27 Aug 2008 02:53:42 -0700

Thomas Rast <[email-masked]> wrote:
> However, I also wanted to provide tests, and that's where the fun
> started.  Turns out t9119-git-svn-info.sh is currently quite broken.
> 1-4 just fix the tests; a brief summary:
> 
> [1/6] git svn info: tests: let 'init' test run with SVN 1.5
> 
>   The tests do not report any problems with 1.5.
> 
> [2/6] git svn info: tests: do not use set -e
> 
>   No idea how 'set -e' ever got in there; it completely breaks the
>   test script in case of an error.

I have a habit of using set -e in my scripts since I often
forget (or am too lazy) to check for errors when executing
a series of commands.

> [4/6] git svn info: tests: fix ptouch argument order in setup
> 
>   Swapped arguments caused ptouch to fail and tests to break.

Hm... I seem to remember explicitly setting the arguments one
way for one reason or another.

> Yes, I'm just whoring commit karma here, so feel free to squash these
> four into one if you like it better that way.
> 
> After these, 22 of 37 tests (all except --url, plus all unknown files)
> fail. Most of them are caused by 'git svn info' not URL-encoding the
> URL and Repository fields in the output, as SVN does.  6/6 fixes
> this.
> 
> However, the unknown files tests still fail, simply because 'svn info'
> itself fails on untracked files.  It would be great if someone who is
> still running SVN 1.4 could check whether that has been a bug in
> git-svn all along, or is actually a behaviour change on the part of
> SVN.

Oops, I upgraded to 1.5.x here already.  I should still have
another machine with 1.4 to check on tomorrow, though.

-- 
Eric Wong